<h1>Introduction</h1>
My name is DrPine.  I am uploading some of mods that are only over at NexusMods so that everyone can use them in the Thunderstore Mod Manager with ease.  Below is the description from Nexus Mods.

Developed by aedenthorn

## Description

This mod basically combines More Slots and Equipment and Quick Slots into one mod, offering the ability to:

Add more ordinary inventory rows (default 0)
Add an extra inventory row (8 slots) specifically for equipment (5) and quick access items (3)
Show the extra row separately as seen in the screenshot (default true)
Access the three quick access items via customizable hotkeys (default z,x,c)
Display the three quick access items on the HUD
Move the HUD display around the screen using CTRL + left mouse button

## Why Use This Mod?

Well, apparently More Slots is outdated, but I'm not sure what the issues were.

As for Equipment and Quick Slots... I think it works well if its the only mod messing with inventory, but it really messes with inventory. Like, splitting it up into several new inventories kind of messing. It's a great mod, but hopefully this one is more easily compatible with other mods that affect inventory.

This mod just adds more slots to the inventory and optionally uses the last row of the inventory for equipment and quick slots. It won't work with mods that mess with the inventory like Better Archery or, of course, Equipment and Quick Slots.

This mod expands tombstones to be the size of the expanded inventory, so dying with a full expanded inventory seems to work fine.

## Caution

This is a new mod, and it does still do some funny business around equipping and unequipping, so there is still the possibility of some bug or edge case where you lose inventory. It seems to work for me. As with all my mods, if it breaks, you get to keep both parts.

It should go without saying that if you are using either of the above mods, you should empty your player inventory before removing them and installing this one.

Also, if you use Simple Sort, make sure you are ignoring the last player inventory row when sorting, otherwise it will sort the equipment out of its slots.

## Config

A config file BepInEx/config/aedenthorn.ExtendedPlayerInventory.cfg is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor or in-game using the [Config Manager](https://valheim.thunderstore.io/package/cjayride/ConfigurationManager/).

To reload the config from the config file, type **extendedplayerinventory reset** into the game's console (F5).

## Installation

- Automated

  - Suggested to use the [R2ModMan](https://thunderstore.io/package/ebkr/r2modman/) Mod Manager

- Manual

  - Copy the ExtendedPlayerInventory.dll to your /Valheim/BepInEx/plugins directory

If you want to complain or ask for help or help me test my mods, you can visit [my Discord server](https://discord.gg/bs6zHuj).

[Click here for a list of all my mods for Valheim.](https://www.nexusmods.com/valheim/articles/104)

## Source Code

[https://github.com/aedenthorn/ValheimMods](https://github.com/aedenthorn/ValheimMods)

## Change Log

v0.9.1

- Rebuild for new version

v0.9.0

- Change default hotkeys

v0.8.0

- Fix for update

v0.7.0

- Fix for 0.217.14

v0.6.3

- Fix for losing equipment

v0.6.2

- Revert config check on ArrangeEquipment

v0.6.0

- Update for new version

v0.5.2

- Removed log messages
- Prevent equip check if equipment row is disabled

v0.5.1

- Fix for game unequipping equipped items

v0.5.0

- Fix for longer keybinds
- Removed controller input for quick access bar

v0.4.3

- Fixes

v0.4.2

- Fixed naked player in menu

v0.4.1

- Fixed keybind width

v0.4.0

- Fix for mistlands update

v0.3.4

- This change was to update the Manifest and Readme files to make them more complete and uniform with the rest of the packages I have reuploaded

v0.3.3

- Original reupload from NexusMods
